Bug 25914 - Relative's checkouts have empty title in OPAC
Summary: Relative's checkouts have empty title in OPAC
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Alex Arnaud
URL:
Keywords:
Depends on: 14570
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-02 12:32 UTC by Kyle M Hall
Modified: 2020-08-04 12:43 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02, 19.11.09


Attachments
Bug 25914: Fix incorrect variable name causing relative's checkouts column to be empty in OPAC (2.01 KB, patch)
2020-07-02 12:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25914: Fix incorrect variable name causing relative's checkouts column to be empty in OPAC (2.04 KB, patch)
2020-07-02 17:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25914: Fix incorrect variable name causing relative's checkouts column to be empty in OPAC (2.10 KB, patch)
2020-07-03 14:05 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-07-02 12:32:33 UTC
In the OPAC, the title column in the relatives checkouts table is always empty.
Comment 1 Kyle M Hall 2020-07-02 12:35:59 UTC
Created attachment 106472 [details] [review]
Bug 25914: Fix incorrect variable name causing relative's checkouts column to be empty in OPAC

In the OPAC, the title column in the relatives checkouts table is always empty.

Test Plan:
1) Enable viewing of relative's checkouts in OPAC
2) Check some items out to a patron
3) Log into the OPAC as a relative of that patron that should be able to
   view them
4) Note the title column is empty in the relative's checkouts tab
5) Apply this patch
6) Reload the page
7) Titles should appear in the title column!
Comment 2 Owen Leonard 2020-07-02 17:55:11 UTC
Created attachment 106478 [details] [review]
Bug 25914: Fix incorrect variable name causing relative's checkouts column to be empty in OPAC

In the OPAC, the title column in the relatives checkouts table is always empty.

Test Plan:
1) Enable viewing of relative's checkouts in OPAC
2) Check some items out to a patron
3) Log into the OPAC as a relative of that patron that should be able to
   view them
4) Note the title column is empty in the relative's checkouts tab
5) Apply this patch
6) Reload the page
7) Titles should appear in the title column!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Alex Arnaud 2020-07-03 14:05:16 UTC
Created attachment 106516 [details] [review]
Bug 25914: Fix incorrect variable name causing relative's checkouts column to be empty in OPAC

In the OPAC, the title column in the relatives checkouts table is always empty.

Test Plan:
1) Enable viewing of relative's checkouts in OPAC
2) Check some items out to a patron
3) Log into the OPAC as a relative of that patron that should be able to
   view them
4) Note the title column is empty in the relative's checkouts tab
5) Apply this patch
6) Reload the page
7) Titles should appear in the title column!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 4 Jonathan Druart 2020-07-09 10:02:22 UTC
Caused by
  commit 109334102fbb29c60fa9a7a762c5e68f4b2ce0be
  Bug 14570: Make it possible to add multiple guarantors to a record
Comment 5 Jonathan Druart 2020-07-09 10:06:20 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-07-22 18:44:49 UTC
backported to 20.05.x for 20.05.02
Comment 7 Aleisha Amohia 2020-08-03 07:34:57 UTC
backported to 19.11.x for 19.11.09
Comment 8 Victor Grousset/tuxayo 2020-08-04 12:43:33 UTC
Missing dependencies for 19.05.x, can't backport.